package com.hwrj.cloud.admin.mapper;

import com.hwrj.cloud.admin.model.OmsOrderExpress;
import com.hwrj.cloud.admin.model.OmsOrderExpressExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OmsOrderExpressMapper {
    long countByExample(OmsOrderExpressExample example);

    int deleteByExample(OmsOrderExpressExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OmsOrderExpress record);

    int insertSelective(OmsOrderExpress record);

    List<OmsOrderExpress> selectByExample(OmsOrderExpressExample example);

    OmsOrderExpress selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OmsOrderExpress record, @Param("example") OmsOrderExpressExample example);

    int updateByExample(@Param("record") OmsOrderExpress record, @Param("example") OmsOrderExpressExample example);

    int updateByPrimaryKeySelective(OmsOrderExpress record);

    int updateByPrimaryKey(OmsOrderExpress record);
}